package com.trust.ywx.customer.common.enu;

import java.util.Objects;

/**
 * <pre></pre>
 *
 * @文件名称： Firm.java
 * @包 路  径： com.trust.ywx.customer.common.enums
 * @Copyright：北京数字医信责任有限公司 (C) 2022 *
 * @Description: 通用枚举值 0-false；1-true
 * @Version: V1.0
 * @Author： hanzhenchao
 * @Date：2022/6/16 13:31
 * @Modify：
 */
public enum UserStampTypeEnum {
    STAMP( "stamp"), // 默认样式
    STAMP1("stamp1"), // 签章样式1
    ;

    private String dbValue;

    private UserStampTypeEnum(String dbValue) {
        this.dbValue = dbValue;
    }

    public String getDbValue() {
        return dbValue;
    }
}
