package com.trust.ywx.customer.common.model.manager.request;

import lombok.Data;

import java.io.Serializable;

@Data
public class TempFirmParam implements Serializable {

    private static final long serialVersionUID = 4072319794402378694L;
    /**
     * 客户ID
     */
    private String clientId;
    /**
     * 客户名称
     */
    private String firmName;

    /**
     * 客户联系人
     */
    private String firmPerson;

    /**
     * 客户联系电话
     */
    private String firmPhone;

    /**
     * 客户邮箱
     */
    private String firmEmail;

    /**
     * 客户图标 base64
     */
    private String appIcon;

    /**
     * 代理商ID
     *
     */
    @Deprecated
    private String agentClientId;

    /**
     * 代理商销售ID
     */
    private String agentSaleId;

    /**
     * 医生端产品形态 支持app
     * fixme List<String> 是够更好？
     */
    private Integer channelApp;

    /**
     * 医生端产品形态 支持sdk
     */
    private Integer channelSdk;

    /**
     * 统一社会信用代码
     */
    private String firmOrgCode;

    /**
     * 第三方平台证书id
     */
    private String thirdAppId;

    /**
     * 数字认证运管平台客户id
     */
    private String thirdCustomerId;
}