package com.trust.ywx.customer.common.model.query.request;

import com.fiftyonetrust.common.model.param.PageParam;
import lombok.Data;

import java.io.Serializable;

/***************************************************************************
 * <pre></pre>
 * @文件名称:  Search1FirmParam.java
 * @包   路   径：  cn.org.bjca.ywq.api.param.req
 * @版权所有：北京数字认证股份有限公司 (C) 2017
 *
 * @类描述:  
 * @版本: V1.5
 * @创建人： hbx
 * @创建时间：2017年3月13日 下午1:54:17
 */
@Data
public class SearchCrmFirmParam extends PageParam implements Serializable {
	private static final long serialVersionUID = 112265601007415768L;
	/**
	 * 客户id
	 */
	private String clientId;
	/**
	 * 客户名称
	 */
	private String firmName;
	/**
     * 申请人
	 */
	private String applicantName;
	/**
	 * 订单id
	 */
	private String orderId;
	/**
	 * 审核状态
	 * see com.trust.ywx.customer.common.enu.CrmFirmStatusEnum
	 */
	private Integer status;

}
