package com.trust.ywx.customer.common.nacos;

import lombok.Data;

/**
 * <pre></pre>
 *
 * @文件名称： FirmNacosConfig.java
 * @包 路  径： com.trust.ywx.customer.service.mq.config
 * @Copyright：北京数字医信责任有限公司 (C) 2022 *
 * @Description:
 * @Version: V1.0
 * @Author： hanzhenchao
 * @Date：2022/6/29 18:37
 * @Modify：
 */
@Data
public class FirmNacosConfig {
    /**
     * 阿里云产品需要的AccessKey
     */
    private String aliAccessKey;
    /**
     * 阿里云产品需要的SecretKey
     */
    private String aliSecretKey;
    /**
     * rocketmq地址
     */
    private String rocketMqNameServAddr;

    /**
     * dubbo接口是否使用本地缓存
     */
    private boolean useLocalCache;

    /**
     * 通知消费者更新客户信息
     */
    private String refreshClientId;

}
