package com.trust.ywx.customer.common.nacos;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.Properties;

/**
 * <pre></pre>
 *
 * @文件名称： ConfigNacos.java
 * @包 路  径： com.trust.ywx.customer.common.nacos
 * @Copyright：北京数字医信责任有限公司 (C) 2022 *
 * @Description:
 * @Version: V1.0
 * @Author： hanzhenchao
 * @Date：2022/6/29 15:39
 * @Modify：
 */
@Slf4j
@Configuration
@ConfigurationProperties(prefix = "nacos")
public class NacosConfig {

    private String serverAddr;
    private String namespace;


    public Properties getPropertie() {
        Properties properties = new Properties();
        properties.setProperty("serverAddr", this.serverAddr);
        properties.setProperty("namespace", this.namespace);
        return properties;
    }

    public String getServerAddr() {
        return serverAddr;
    }

    public void setServerAddr(String serverAddr) {
        this.serverAddr = serverAddr;
    }

    public String getNamespace() {
        return namespace;
    }

    public void setNamespace(String namespace) {
        this.namespace = namespace;
    }
}
