package com.trust.ywx.customer.service.query;

import com.trust.ywx.customer.common.model.PageBean;
import com.trust.ywx.customer.common.model.manager.response.TempFirmDto;
import com.trust.ywx.customer.common.model.query.request.SearchTempFirmParam;

/**
 * <pre></pre>
 *
 * @文件名称： FirmQueryService.java
 * @包 路  径： com.trust.ywx.customer.service.query
 * @Copyright：北京数字医信责任有限公司 (C) 2022 *
 * @Description:
 * @Version: V1.0
 * @Author： hanzhenchao
 * @Date：2022/6/14 19:34
 * @Modify：
 */
public interface TempFirmQueryService {

    /**
     * 获取待审核客户列表
     * @param param
     * @return
     */
    PageBean<TempFirmDto> getTempFirmList(SearchTempFirmParam param);
    /**
     * 获取待审核客户详情
     * @param clientId
     * @return
     */
    TempFirmDto getTempFirmByClientId(String clientId);

}
