package com.trust.ywx.customer.common.model.manager.response;

import lombok.Data;

import java.io.Serializable;

/**
 * <pre></pre>
 *
 * @文件名称： TempFirmDto.java
 * @包 路  径： com.trust.ywx.customer.service.dto
 * @Copyright：北京数字医信责任有限公司 (C) 2022 *
 * @Description:
 * @Version: V1.0
 * @Author： hanzhenchao
 * @Date：2022/6/14 20:15
 * @Modify：
 */
@Data
public class TempFirmDto implements Serializable {

    private static final long serialVersionUID = -1810636349149250285L;
    /**
     * 客户id
     */
    private String clientId;
    /**
     * 客户名称
     */
    private String firmName;

    /**
     * 审核状态
     */
    private Integer status;
    /**
     * 邮箱
     */
    private String firmEmail;
    /**
     * 联系人
     */
    private String firmPerson;
    /**
     * 联系电话
     */
    private String firmPhoto;
    /**
     * 客户logo
     */
    private String firmLogo;
    /**
     * 产品形态 支持app
     */
    private String channelApp;

    /**
     * 产品形态 支持sdk
     */
    private String channelSdk;

    /**
     * 数字认证运营平台客户id
     */
    private String thirdCustomerId;

    /**
     * 第三方平台证书id
     */
    private String thirdAppId;

}
